//Задаем путь .xml-файлов задач
function ExecuteCurrentTasksCmdFile(CommandFilePointName,..//Точка обмена сообщениями
                                    projectName,..//Имя проекта
                                    tasksSep..//Разделитель задач
                                    )
    //Проверяем и обрабатываем аргументы
    select argn(2)
    case 0 then
        error('The function ExecuteCurrentTasksCmdFile takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";
        tasksSep = ',';
    case 2 then
        tasksSep = ',';
    end
    
    //Создаем точку обмена сообщениями
    CreateMessageFilePoint(CommandFilePointName);
    
    //Запускаем текущие задачи для консоли
    function messages=askCommandFromFile(quesion)
        messages = AskCommandFromFile(quesion,CommandFilePointName,%t);
    endfunction
    function dispCommandToFile(messages)
        DispCommandToFile(messages,CommandFilePointName,%t);
    endfunction
    ExecuteCurrentTasks('askCommandFromFile',..
                        'dispCommandToFile',..
                        projectName,tasksSep);
    
    //Удаляем точку обмена сообщениями
    DestroyMessageFilePoint(CommandFilePointName);
endfunction
